
#Everything to do with gameplay
[gameplay]
	#Set this to false to disable new players spawning with the Tinkers' Book.
	shouldSpawnWithTinkersBook = true
	#If non-empty, only this material will be shown on tools in creative and JEI (or the first valid material if this is invalid for the tool).
	#If empty, all materials will show
	showOnlyToolMaterial = "wooden"
	#If non-empty, only material will be shown on parts in creative and JEI (or the first valid material if this is invalid for the part).
	#If empty, all materials will show
	showOnlyPartMaterial = "wooden"
	#If true, tables such as the part builder and tinker station will show all variants. If false shows only a variant with a default texture.
	showAllTableVariants = false
	#If true, anvils will show all metal variants. If false, shows only a variant with the default texture
	showAllAnvilVariants = false

	#Tweaks to vanilla damage sources to better work with armor
	[gameplay.damageTweaks]
		#Makes withering damage count as magic
		wither = true
		#Makes dragons breath count as magic
		dragon_breath = true
		#Makes falling blocks count as projectile
		falling_block = false
		#Makes lightning count as fire damage
		lightning = true

#Options related to recipes, limited options as a datapack allows most recipes to be modified
[recipes]
	#Add a recipe that allows you to craft a piece of flint using 3 gravel
	addGravelToFlintRecipe = true
	#Makes the recipe to alloy netherite in the smeltery only cost 2 gold per netherite ingot. If false uses the vanilla rate of 4 gold per ingot. Disable if there are crafting duplications.
	cheaperNetheriteAlloy = true
	#Makes wither skeletons drop necrotic bones
	witherBoneDrop = true
	#Allows converting wither bones to regular bones
	witherBoneConversion = true
	#Slimeballs not being usable in vanilla recipes that require slimeballs. Config option exists to disable easily in case this fix is redundant to another mod
	slimeRecipeFix = true
	#Fixes clear glass not being usable in vanilla recipes that require glass. Config option exists to disable easily in case this fix is redundant to another mod
	glassRecipeFix = true

	[recipes.ore_rates]

		#Ore rates when melting in the melter
		[recipes.ore_rates.melter]
			#Number of nuggets produced per metal ore unit melted. 9 nuggets would give 1 ingot
			#Range: 1 ~ 45
			nuggetsPerMetal = 12
			#Number of gem shards produced per gem ore unit melted. 4 gem shards would give 1 gem
			#Range: 1 ~ 20
			shardsPerGem = 8

		#Ore rates when melting in the smeltery
		[recipes.ore_rates.smeltery]
			#Number of nuggets produced per metal ore unit melted. 9 nuggets would give 1 ingot
			#Range: 1 ~ 45
			nuggetsPerMetal = 12
			#Number of gem shards produced per gem ore unit melted. 4 gem shards would give 1 gem
			#Range: 1 ~ 20
			shardsPerGem = 8

		#Ore rates when melting in the foundry
		[recipes.ore_rates.foundry]
			#Number of nuggets produced per metal ore unit melted. 9 nuggets would give 1 ingot
			#Range: 1 ~ 45
			nuggetsPerMetal = 9
			#Number of gem shards produced per gem ore unit melted. 4 gem shards would give 1 gem
			#Range: 1 ~ 20
			shardsPerGem = 4

		#Byprouct rates when melting in the foundry
		[recipes.ore_rates.foundry_byproduct]
			#Number of nuggets produced per metal ore unit melted. 9 nuggets would give 1 ingot
			#Range: 1 ~ 45
			nuggetsPerMetal = 3
			#Number of gem shards produced per gem ore unit melted. 4 gem shards would give 1 gem
			#Range: 1 ~ 20
			shardsPerGem = 4

	#Entity head drops when killed by a charged creeper
	[recipes.heads]
		blaze = true
		enderman = true
		stray = true
		husk = true
		drowned = true
		spider = true
		cave_spider = true
		piglin = true
		piglin_brute = true
		zombified_piglin = true

#Options related to loot table injections. Note some of the changes are done via global loot managers, these only control injecting loot into loot pools
#If your modpack makes extensive loot table changes, many of these may be automatically disabled. You can also manually set up tables for more control.
[loot]
	#Adds slimy saplings and seeds into various loot chests. Helps for worlds without slime islands
	slimy_loot = true
	#Weight of blazing blood in the piglin bartering tables. Set to 0 to disable
	#Range: 0 ~ 100
	barter_blazing_blood = 20
	#Weight of tinker tools in the vanilla spawn bonus chest, randomly replacing the vanilla axe or shovel. Tool will have a random tier 1 head and binding, plus a wooden handle. Set to 0 to disable.
	#For comparison, vanilla wooden axes and pickaxes have a weight of 3, and stone axes/pickaxes have a weight of 1
	#Range: 0 ~ 25
	tinker_tool_bonus_chest = 2
	#If true, ender dragons will drop scales when damaged by explosions
	drop_dragon_Scales = true

#Everything to do with world generation
[worldgen]
	#Generate Cobalt
	generateCobalt = true
	#Approx Ores per Chunk
	veinCountCobalt = 8

	#Options related to slime geodes
	[worldgen.geodes]
		#If true, earthslime geodes generate deep in the world as another way to get slime
		earth = true
		#If true, skyslime geodes generate above amethyst as another way to get skyslime
		sky = true
		#If true, ichor geodes generate high in the nether. Strongly encouraged to keep enabled even if you disable the other geodes, as ichor crystals have some unique recipes and the fallbacks kinda suck for gameplay.
		ichor = true
		#If true, enderslime geodes generate as additional islands in the end
		ender = true

#Features to use in debugging gameplay and mechanics, generally should not be enabled in packs
[debug]
	#If true, forces integration materials to be enabled, even if the relevant metal is missing. Useful for testing material balance.
	#Does not provide recipes for any of them, they will only be available to cheat in creative.
	forceIntegrationMaterials = false

